Amazon Linux AMI : gnutls (ALAS-2014-352)

medium Nessus Plugin ID 78295
新推出!Plugin 嚴重性目前使用 CVSS v3

計算 Plugin 嚴重性已更新為預設使用 CVSS v3 沒有 CVSS v3 評分的 Plugin 會回歸到以 CVSS v2 計算嚴重性。您可在設定下拉式選單中切換顯示嚴重性的喜好設定

Synopsis

遠端 Amazon Linux AMI 主機缺少一個安全性更新。

描述

在 GnuTLS 剖析來自 TLS/SSL 交握 ServerHello 訊息的工作階段 ID 的方式中發現一個瑕疵。惡意伺服器可利用此瑕疵,傳送過長的工作階段 ID 值,進而在使用 GnuTLS 的連線 TLS/SSL 用戶端應用程式中觸發緩衝區溢位,導致用戶端應用程式損毀或可能執行任意程式碼。(CVE-2014-3466)

解決方案

執行「yum update gnutls」以更新系統。

另請參閱

https://alas.aws.amazon.com/ALAS-2014-352.html

Plugin 詳細資訊

嚴重性: Medium

ID: 78295

檔案名稱: ala_ALAS-2014-352.nasl

版本: 1.3

類型: local

代理程式: unix

已發布: 2014/10/12

已更新: 2018/4/18

相依性: ssh_get_info.nasl

風險資訊

VPR

風險因素: Medium

分數: 5.9

CVSS v2

風險因素: Medium

基本分數: 6.8

媒介: AV:N/AC:M/Au:N/C:P/I:P/A:P

弱點資訊

CPE: p-cpe:/a:amazon:linux:gnutls, p-cpe:/a:amazon:linux:gnutls-debuginfo, p-cpe:/a:amazon:linux:gnutls-devel, p-cpe:/a:amazon:linux:gnutls-guile, p-cpe:/a:amazon:linux:gnutls-utils, cpe:/o:amazon:linux

必要的 KB 項目: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

修補程式發佈日期: 2014/6/5

參考資訊

CVE: CVE-2014-3466

ALAS: 2014-352

RHSA: 2014:0595